//======================================================= file = common.h =====
//=  Include file for common.c                                                =
//=============================================================================
//=  Notes:  1) This file contains includes, constants, and function          =
//=             prototypes for common.c (common between master and remote)    =
//=---------------------------------------------------------------------------=
//=  History:  KJC (09/19/01) - Genesis                                       =
//=============================================================================

//----- Includes --------------------------------------------------------------
#include <stdio.h>              // Needed for I/O functions
#include <string.h>             // Needed for string functions
#include <ctype.h>              // Needed for toupper()
#include <conio.h>              // Needed for kbhit()
#include <time.h>               // Needed for time stuff
#include <windows.h>            // Needed for windows stuff
#include <fcntl.h>              // Needed for file I/O constants
#include <sys\stat.h>           // Needed for file I/O constants
#include <io.h>                 // Needed for open(), close(), and eof()
#include <process.h>            // Needed for thread stuff

//----- Constants -------------------------------------------------------------
#define FALSE               0   // FALSE = 0
#define TRUE                1   // TRUE = 1

#define BUF_SIZE          256   // Buffer size for file transfers
#define DGRAM_SIZE        500   // Datagram size for status messages
#define XFER_PORT        1050   // Port for file transfer to remote
#define RUN_PORT1        1051   // Port #1 for remote run
#define RUN_PORT2        1052   // Port #2 for remote run
#define RESET_PORT       1053   // Port for remote reset
#define STATUS_PORT      1054   // Port for remote status

#define TURN_DELAY        100   // Turn-around delay in millisec
#define RESET_DELAY      1000   // Reset delay for rreset() in millisec
#define STATUS_DELAY     1000   // Delay for rstatus() sends in millisec
#define RUN_DELAY        1000   // Delay for mrun() assignments in millisec

//----- Function prototypes ---------------------------------------------------
int get_addr(char *host_name, char *ip_addr);
int get_name(char *ip_addr, char *host_name);
int recv_file(char *recv_file, char *host_name, int port_num);
int send_file(char *send_file, char *host_name, int port_num);
int recv_command(char *command, char *host_name, int port_num);
int send_command(char *command, char *host_name, int port_num);
int get_time(char *time_val);
