// Simple hello world program to test REMOTE
//  - argv[1] is input file, argv[2] is output file
// KJC (hello.c - 9/19/01)

#include <stdio.h>
#include <windows.h>

void main(int argc, char *argv[])
{
  FILE     *fp_in;        // Pointer to input file
  FILE     *fp_out;       // Pointer to output file
  char     instring[80];  // Input string
  int      i;             // Loop counter

  // Usage information
  if (argc != 3)
  {
    printf("Usage: hello input.txt output.txt");
    return;
  }

  // Open input file
  fp_in = fopen(argv[1], "r");
  if (fp_in == NULL)
  {
    printf("*** ERROR in opening input file %s \n", argv[1]);
    return;
  }

  // Open output file
  fp_out = fopen(argv[2], "w");
  if (fp_out == NULL)
  {
    printf("*** ERROR in opening output file %s \n", argv[2]);
    return;
  }

  // Read the input line from the input file
  fgets(instring, 80, fp_in);

  // Output to output file ten times, once per second
  for (i=0; i<10; i++)
  {
    fprintf(fp_out, "Hello %s \n", instring);
    Sleep(1000);
  }

  // Close the input and output files
  fclose(fp_in);
  fclose(fp_out);
}
