//========================================================= file = main.c =====
//=  Main program for REMOTE master                                           =
//=   - Distrbutes simulations to remote PCs                                  =
//=============================================================================
//=  Notes:  1) Ignore compile time warnings on unreachable code and          =
//=             thread_arg never used.                                        =
//=---------------------------------------------------------------------------=
//=  Build:  Standard C build for a Winsock application.  For Borland         =
//=          compiler:                                                        =
//=            bcc32 master.c mhelp.c mxfer.c mrun.c mreset.c mstatus.c       =
//=                  common.c                                                 =
//=---------------------------------------------------------------------------=
//=  History:  KJC (09/19/01) - Genesis                                       =
//=============================================================================
#define MAIN                   // This is main (used in master.h)

//----- Include files ---------------------------------------------------------
#include "master.h"            // Needed for master stuff
#include "common.h"            // Needed for common stuff

//=============================================================================
//==  Main program                                                           ==
//=============================================================================
void main(int argc, char *argv[])
{
  char         command[80];    // Command
  char         option1[80];    // Option #1 for a command
  char         option2[80];    // Option #2 for a command
  int          i;              // Loop counter

  // Parse the command and call the appropriate function
  if (argc == 1)
    mhelp();
  else
  {
    // Convert command in argv[1] to all upper case
    for (i=0; i<((int) strlen(argv[1]) + 1); i++)
      command[i] = toupper(argv[1][i]);

    // Parse the command and any options
    if ((strcmp(command, "HELP") == 0) || (strcmp(command, "?") == 0))
      mhelp();
    else if (strcmp(command, "XFER") == 0)
    {
      strcpy(option1, argv[2]);
      strcpy(option2, argv[3]);
      mxfer(option1, option2);
    }
    else if (strcmp(command, "RUN") == 0)
      mrun();
    else if (strcmp(command, "RESET") == 0)
    {
      if (argc == 3)
      {
        strcpy(option1, argv[2]);
        mreset(option1);
      }
      else
        mreset("ALL");
    }
    else if (strcmp(command, "STATUS") == 0)
    {
      if (argc == 3)
      {
        strcpy(option1, argv[2]);
        mstatus(option1);
      }
      else
        mstatus("ALL");
    }
    else
      mhelp();
  }
}
