//======================================================= file = master.h =====
//=  Master include file for REMOTE master                                    =
//=============================================================================
//=  Notes:  1) This file contains includes, constants, and function          =
//=             prototypes for master.c                                       =
//=---------------------------------------------------------------------------=
//=  History:  KJC (09/19/01) - Genesis                                       =
//=============================================================================

//----- Conditional definitions -----------------------------------------------
#if defined(MAIN)                       // Determine if main or external
  #define EXTERN
#endif
#if defined(EXTERNAL)
  #define EXTERN extern
#endif

//----- Constants -------------------------------------------------------------
#define MASTER_V   "0.82 <04/11/01>"    // Version number

#define JOB_LIST       "joblist.txt"    // Required job list
#define HOST_LIST      "hostlist.txt"   // Required host list
#define MAX_HOSTS                250    // Maximum number of hosts in host list
#define UNASSIGNED                 0    // Job is not yet assigned
#define ASSIGNED                   1    // Job has been assigned
#define RUNNING                    2    // Job is running
#define DONE                       3    // Job is done

//----- External variables ----------------------------------------------------
EXTERN struct {
                char exe_file[80];      // *** executable file name
                char in_file[80];       // *** input file name
                char out_file[80];      // *** output file name
                char host_name[80];     // *** host name
                int  status;            // *** status (TRUE for busy)
              } Run_list[MAX_HOSTS];    // Run list structure
EXTERN int    Num_jobs;                 // Number of jobs in the job list
EXTERN char   Time[80];                 // Time value string

//----- Function prototypes ---------------------------------------------------
int  mhelp(void);
int  mxfer(char *file_name, char *host_name);
int  mrun(void);
void mrun_thread(void *thread_arg);
int  mreset(char *host_name);
int  mstatus(char *host_name);
