//======================================================== file = mhelp.c =====
//=  Help function for REMOTE master                                          =
//=============================================================================
//=  Notes: 1)                                                                =
//=---------------------------------------------------------------------------=
//=  Contains: mhelp() - Outputs usage information to the console             =
//=---------------------------------------------------------------------------=
//=  History:  KJC (09/19/01) - Genesis                                       =
//=============================================================================
#define EXTERNAL               // This is an external file (used in master.h)

//----- Include files ---------------------------------------------------------
#include "master.h"            // Needed for master stuff
#include "common.h"            // Needed for common stuff

//=============================================================================
//= Function to output usage information to the console                       =
//=============================================================================
int mhelp(void)
{
  printf("===============================================================================\n");
  printf("= REMOTE master (Version: %15s)                                    =\n", MASTER_V);
  printf("===============================================================================\n");
  printf("= Usage is 'master command options'.  Commands and options are:               =\n");
  printf("=                                                                             =\n");
  printf("=   HELP -- This screen                                                       =\n");
  printf("=   XFER file_name host_name -- transfer file file_name to host host_name     =\n");
  printf("=   RUN -- to run programs in joblist.txt on machines in hostlist.txt         =\n");
  printf("=   RESET host_name -- to reset remote program running in host_name           =\n");
  printf("=   STATUS host_name -- to view status datagrams sent by host_name            =\n");
  printf("=                                                                             =\n");
  printf("= Example: 'master RESET giga1.csee.usf.edu' will reset the remote.exe        =\n");
  printf("=           program running on giga1.csee.usf.edu.  Omitting the host name    =\n");
  printf("=           will reset all hosts listed in hostlist.txt.                      =\n");
  printf("=                                                                             =\n");
  printf("= See readme.txt for further usage instructions and help.  The readme.txt     =\n");
  printf("= describes the format of the required joblist.txt and hostlist.txt files.    =\n");
  printf("===============================================================================\n");
  printf("= Author: Ken Christensen (christen@csee.usf.edu)                             =\n");
  printf("===============================================================================\n");

  return(1);
}
