//======================================================== file = mxfer.c =====
//=  Transfer function for REMOTE master                                      =
//=============================================================================
//=  Notes: 1)                                                                =
//=---------------------------------------------------------------------------=
//=  Contains: mxfer() - Transfers a file to a remote host                    =
//=---------------------------------------------------------------------------=
//=  History:  KJC (09/19/01) - Genesis                                       =
//=============================================================================
#define EXTERNAL               // This is an external file (used in master.h)

//----- Include files ---------------------------------------------------------
#include "master.h"            // Needed for master stuff
#include "common.h"            // Needed for common stuff

//=============================================================================
//= Function to transfer a file to a remote host                              =
//=============================================================================
int mxfer(char *file_name, char *host_name)
{
  int           retcode;                   // Return code

  // Output banner
  printf("Transferring file %s to host %s... \n", file_name, host_name);

  // Send the file
  retcode = send_file(file_name, host_name, XFER_PORT);
  if (retcode < 0)
  {
    printf("*** ERROR in mxfer() - send_file() failed \n");
    return(-1);
  }

  // Output completion message
  printf("File transfer complete \n");

  return(1);
}
