//======================================================= file = remote.h =====
//=  Master include file for REMOTE remote                                    =
//=============================================================================
//=  Notes:  1) This file contains includes, constants, and function          =
//=             prototypes for remote.c                                       =
//=---------------------------------------------------------------------------=
//=  History:  KJC (09/19/01) - Genesis                                       =
//=            KJC (04/11/02) - Security flag (SEC_FLAG) added                =
//=============================================================================

//----- Conditional definitions -----------------------------------------------
#if defined(MAIN)                       // Determine if main or external
  #define EXTERN
#endif
#if defined(EXTERNAL)
  #define EXTERN extern
#endif

//----- Constants -------------------------------------------------------------
#define REMOTE_V   "0.82 <04/11/01>"    // Version number
#define SEC_FLAG               TRUE     // FALSE disables security in remote

//----- External variables ----------------------------------------------------
EXTERN char    Master_name[80];         // Host name of master
EXTERN char    Master_ip_addr[16];      // IP address of master
EXTERN int     Busy_flag;               // Busy (running program) flag
EXTERN char    Time[80];                // Time value string

//----- Function prototypes ---------------------------------------------------
int  rhelp(void);
int  rxfer(int *xfer_id);
void rxfer_thread(void *thread_arg);
int  rrun(int *run_id);
void rrun_thread(void *thread_arg);
int  rstatus(int *status_id);
void rstatus_thread(void *thread_arg);
int  rreset(int xfer_id, int run_id, int status_id);
