//======================================================== file = rhelp.c =====
//=  Help function for REMOTE remote                                          =
//=============================================================================
//=  Notes: 1)                                                                =
//=---------------------------------------------------------------------------=
//=  Contains: rhelp() - Outputs usage information to the console             =
//=---------------------------------------------------------------------------=
//=  History:  KJC (09/19/01) - Genesis                                       =
//=============================================================================
#define EXTERNAL               // This is an external file (used in master.h)

//----- Include files ---------------------------------------------------------
#include "remote.h"            // Needed for remote stuff
#include "common.h"            // Needed for common stuff

//=============================================================================
//= Function to output usage information to the console                       =
//=============================================================================
int rhelp(void)
{
  printf("===============================================================================\n");
  printf("= REMOTE remote (Version: %s)                                    =\n", REMOTE_V);
  printf("===============================================================================\n");
  printf("= Usage is 'remote command options'.  Commands and options are:               =\n");
  printf("=                                                                             =\n");
  printf("=   HELP -- This screen                                                       =\n");
  printf("=   RUN host_name -- to remotely run programs sent from host_name (master)    =\n");
  printf("=                                                                             =\n");
  printf("= Example: 'remote RUN giga1.csee.usf.edu' will allow remote programs to be   =\n");
  printf("=           sent from, run, and results uploaded to host giga1.csee.usf.edu.  =\n");
  printf("=                                                                             =\n");
  printf("= See readme.txt for further usage instructions and help.                     =\n");
  printf("===============================================================================\n");
  printf("= Author: Ken Christensen (christen@csee.usf.edu)                             =\n");
  printf("===============================================================================\n");

  return(1);
}
