//======================================================== file = rxfer.c =====
//=  Transfer function for REMOTE remote                                      =
//=============================================================================
//=  Notes: 1)                                                                =
//=---------------------------------------------------------------------------=
//=  Contains: rxfer() - Receives a file from the master                      =
//=---------------------------------------------------------------------------=
//=  History:  KJC (09/19/01) - Genesis                                       =
//=============================================================================
#define EXTERNAL        // This is an external file (used in remote.h)

//----- Include files ---------------------------------------------------------
#include "common.h"             // Needed for common stuff
#include "remote.h"             // Needed for remote stuff

//=============================================================================
//= Function to receive a file from the master                                =
//=============================================================================
int rxfer(int *xfer_id)
{
  // Kick-off thread
  *xfer_id = _beginthread(rxfer_thread, 4096, NULL);
  if (*xfer_id == -1)
  {
    printf("*** ERROR in rxfer() - Unable to create thread \n");
    return(-1);
  }

  return(1);
}

//===========================================================================
//=  Thread code for rxfer()                                                =
//===========================================================================
void rxfer_thread(void *thread_arg)
{
  char     host_name[80];        // Remote host name
  char     recv_name[80];        // Receive file
  int      retcode;              // Return code

  while(TRUE)
  {
    // Receive transfer files
    retcode = recv_file(recv_name, host_name, XFER_PORT);
    if (retcode < 0)
    {
      printf("*** ERROR in rxfer_thread() - recv_file() failed \n");
      _endthread();
    }

    // Delay for a turn-around
    Sleep(TURN_DELAY);
  }

  _endthread();
}
